
#include "shadowrect.h"

// define ShadowedRectangleShape's constructor here

/// define ShadowedRectangleShape's draw function here

void ShadowedRectangleShape::Erase() {
   const Position Center = GetPosition();
   const float Width = GetWidth();
   const float Height = GetHeight();

   const Position UpperLeft = Center
    + Position(-.5f * Width, -.5f * Height);
   const Position LowerRight = Center
    + Position(.5f * Width, .5f * Height);

   // Erase main rectangle first
   GetWindow().RenderRectangle(UpperLeft, LowerRight,
    White, false);
   if (HasBorder()) {
      GetWindow().RenderRectangle(UpperLeft, LowerRight,
       White, true);
   }
   GetWindow().RenderRectangle(UpperLeft + Offset,
    LowerRight + Offset, White, false);
   if (HasBorder()) {
      GetWindow().RenderRectangle(UpperLeft + Offset, LowerRight + Offset,
       White, true);
   }
   return;
}
 